<!--{{authorData.nickName}}-->
<div class="modal-content" id="../../view/Modal/AddAuthor.html">
  <div class="modal-header ">
    <button type="button" class="close" ng-click="close()">&times;</button>
    <h4 id="authorDetailsLabel" class="modal-title">Authors</h4>
  </div>
  <div class="modal-body">

    <div class="box-body">
      <form novalidate name="formx" class="css-form">
        <div class="row">
          <div class="form-group col-md-5">
            <label><span class="glyphicon glyphicon-asterisk red"></span>First Name</label>
            <input name='firstName' ng-model='authorData.name.fullName.firstName' required value=''
                   placeholder="Enter firstName" class="form-control">
            <div ng-show="formx.$submitted || formx.firstName.$touched">
              <div style="position: absolute;margin-left: 120px; color: red" ng-show="formx.firstName.$error.required ">
                 firstName is required.</div>
            </div>

          </div>

          <div class="form-group col-md-5">
            <label><span class="glyphicon glyphicon-asterisk red"></span>Nick Name</label>
            <input class="form-control" name='nickName' ng-model='authorData.nickName ' required value=''
                   placeholder="Enter Unique NickName">
            <div ng-if="message">
              <div style="position: absolute;margin-left: 80px; color: red">
                Please provide unique Nickname.</div>
            </div>

            <div ng-show="formx.$submitted || formx.nickName.$touched">
              <div style="position: absolute;margin-left: 100px; color: red" ng-show="formx.nickName.$error.required ">
               nickname is required.</div>
            </div>
          </div>


          <div class="form-group col-md-5">
            <label><span class="glyphicon glyphicon-asterisk red"></span>Last Name</label>
            <input class="form-control" name='lastName ' ng-model='authorData.name.fullName.lastName '
                   required value='' placeholder="Enter lastName">

            <div ng-show="formx.$submitted || formx.lastName.$touched">
              <div style="position: absolute;margin-left: 120px; color: red" ng-show="formx.lastName.$error.required">
                LastName is required.</div>
            </div>
          </div>


          <div class="form-group col-md-5">
            <label>State</label>
            <input class="form-control" name='authorData.address.fullAddress.state '
                   ng-model='authorData.address.fullAddress.state ' required value=''
                   placeholder="Enter state ">
          </div>
          <div class="form-group col-md-5">
            <label>City</label>
            <input class="form-control" name='authorData.address.fullAddress.city '
                   ng-model='authorData.address.fullAddress.city ' required value=''
                   placeholder="Enter city ">
          </div>

        </div>

        <div class="form-group">
          <label>Description</label>
              <textarea class="form-control" rows="3" name='authorData.Description'
                        ng-model='authorData.Description' maxlength="5000"></textarea>
        </div>

      </form>
    </div>

  </div>
  <div class="modal-footer"
       ng-hide="formx.firstName.$error.required || formx.lastName.$error.required || formx.nickName.$error.required">
    <button type="button" class="btn btn-primary" ng-click="close()">Close</button>
    <button type="button" class="btn btn-info" ng-if="!authorData._id"  ng-click="add(authorData)" data-dismiss="modal">Add</button>
    <button type="button" class="btn btn-info" ng-if="authorData._id" ng-click="editAuthorDetails(authorData,oldNickName)" data-dismiss="modal">Update</button>


  </div>
</div>







